import {useTheme} from "@material-ui/core";

export function useGraphOptions(component: any) {
    const theme = useTheme()
    const options = {...component.graphOptions} || {}
    if(Object.keys(options).length === 0) {
        const title = component.viewModel.name;
        options.title.style.fontFamily = theme.typography.fontFamily;
        options.title.text = title;
    }
    return options;
}